Bug 736523 - find-lang.sh vs gnome help
Summary: find-lang.sh vs gnome help
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 22:29 UTC by Matthias Clasen
Modified: 2012-04-17 17:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-09 08:34:22 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2011-09-07 22:29:35 UTC
The GNOME help infrastructure has changed and it is now installing help documents in /usr/share/help/$LANG/$NAME, eg
/usr/share/help/ca/gnome-help/...

I couldn't quite cut through the layers of escaping in find-lang.sh, thus no patch... 

If you want a package to test this on, look at gnome-user-docs-3.1.1-1.fc17

Comment 1 Matthias Clasen 2011-09-20 13:11:34 UTC
Here is what I put into aisleriot.spec:

echo "%%dir %%{_datadir}/help/C" >> aisleriot.lang
echo "%%{_datadir}/help/C/%%{name}" >> aisleriot.lang
for l in ca de el en_GB es eu fr oc ru sl sr sr@latin sv zh_CN; do
  echo "%%dir %%{_datadir}/help/$l"
  echo "%%lang($l) %%{_datadir}/help/$l/%%{name}"
done >> aisleriot.lang

Comment 2 Panu Matilainen 2011-10-12 09:14:52 UTC
Heh, you're not the only one finding the sed-jungle in find-lang close to impenetrable...

rpm-4.9.1.2-2.fc17 should now find the new location too when --with-gnome is used, let me know if it works for you (or not).

Comment 3 Panu Matilainen 2012-03-09 08:34:22 UTC
Assuming no news is good news... (the fix is in both F17 and rawhide)

Comment 4 Edward Sheldrake 2012-04-17 17:30:59 UTC
rpm-4.9.1.3-1.fc17 does not find pt_BR, zh_CN, zh_HK, zh_TW under /usr/share/help/ - other parts of find-lang.sh mark zh_CN, zh_HK, zh_TW all as %lang(zh).


Note You need to log in before you can comment on or make changes to this bug.